import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class Main {
    public static void main(String[] args) throws IOException {
        URL url = new URL("http://it.kgsu.ru");
        HttpURLConnection connection = (HttpURLConnection) url.openConnection();
        try {
            connection.setConnectTimeout(10000);
            connection.setDoInput(true);
            connection.connect();

            System.out.println("Response code = " + connection.getResponseCode());
            System.out.println("Response message = " + connection.getResponseMessage());
            System.out.println("Response content type = " + connection.getContentType());
            System.out.println("Response content length = " + connection.getContentLength());

            if (connection.getResponseCode() == HttpURLConnection.HTTP_OK) {
                try (InputStream stream = connection.getInputStream()) {
                    new BufferedReader(new InputStreamReader(stream, "windows-1251"))
                            .lines()
                            .forEach(System.out::println);
                }
            }
        } finally {
            // Обязательно закрываем подключение
            connection.disconnect();
        }
    }
}
